curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/historical/fills \
--header 'KALSHI-ACCESS-KEY: <api-key>' \
--header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
--header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://external-api.kalshi.com/trade-api/v2/historical/fills"
headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://external-api.kalshi.com/trade-api/v2/historical/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fills": [
{
"fill_id": "<string>",
"exchange_index": 0,
"trade_id": "<string>",
"order_id": "<string>",
"ticker": "<string>",
"market_ticker": "<string>",
"outcome_side": "yes",
"book_side": "bid",
"count_fp": "10.00",
"yes_price_dollars": "0.5600",
"no_price_dollars": "0.5600",
"is_taker": true,
"fee_cost": "0.5600",
"side": "yes",
"action": "buy",
"created_time": "2023-11-07T05:31:56Z",
"subaccount_number": 123,
"ts": 123
}
],
"cursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}Get Historical Fills
Endpoint for getting all historical fills for the member. A fill is when a trade you have is matched.
API keys restricted to a subaccount return only that subaccount’s fills. If supplied, subaccount must match the key’s restriction.
Registered partners may also use a user OAuth access token with the explicitly granted read::compliance_partner scope.
Authorizations
Your API key ID
Base64 signature of the pre-sign text (timestamp + method + path) made with the API key's algorithm - RSA-PSS with SHA-256 for RSA keys, Ed25519 for Ed25519 keys
Request timestamp in milliseconds
Query Parameters
Filter by market ticker
Filter items after this Unix timestamp
Filter items before this Unix timestamp
Number of results per page. Defaults to 100.
1 <= x <= 1000Pagination cursor. Use the cursor value returned from the previous response to get the next page of results. Leave empty for the first page.
Subaccount number (0 for primary, 1-63 for subaccounts). If omitted, defaults to all subaccounts.